Host Datastore System Query Vmfs Datastore Expand Options

Host Datastore System Query Vmfs Datastore Expand Options
Queries for options for increasing the capacity of an existing VMFS datastore by expanding (increasing the size of) an existing extent of the datastore.

Queries for options for increasing the capacity of an existing VMFS datastore by expanding (increasing the size of) an existing extent of the datastore.

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/QueryVmfsDatastoreExpandOptions
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostDatastoreSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required

Show optional properties

{
    "datastore": {}
}
{
    "datastore": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
datastore
Required

The datastore to be expanded.

Authentication
This operation uses the following authentication methods.
Responses
200

An array of VMFS datastore expansion options that can be applied.

[
    {
        "_typeName": "string",
        "info": {
            "_typeName": "string",
            "layout": {
                "_typeName": "string",
                "total": {
                    "_typeName": "string",
                    "blockSize": 0,
                    "block": 0
                },
                "partition": [
                    {
                        "_typeName": "string",
                        "partition": 0,
                        "type": "string",
                        "start": {
                            "_typeName": "string",
                            "blockSize": 0,
                            "block": 0
                        },
                        "end": {
                            "_typeName": "string",
                            "blockSize": 0,
                            "block": 0
                        }
                    }
                ]
            },
            "partitionFormatChange": false
        },
        "spec": {
            "_typeName": "string",
            "diskUuid": "string"
        }
    }
]
array of object
Optional

VMFS datastore provisioning option that can be applied on a disk.

VMFS datastores can be created or have their capacity increased using storage from a disk. There are often multiple ways in which extents can be allocated on a disk. Each instance of this structure represents one of the possible options that can be applied to provisioning VMFS datastore storage. Only options that follow ESX Server best practice guidelines will be presented.


500

NotFound: if the specified datastore could not be found or is unmounted.

HostConfigFault: if unable to get partition information for the devices on which the extents reside

NotSupported: if the host is not an ESX Server.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"datastore":"{}"}' https://{api_host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/QueryVmfsDatastoreExpandOptions